Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionSizeGrip.StyleOptionVersion

    java.lang.Object
      java.lang.Enum<QStyleOptionSizeGrip.StyleOptionVersion>
          com.trolltech.qt.gui.QStyleOptionSizeGrip.StyleOptionVersion

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionSizeGrip.StyleOptionVersion>

Enclosing class:
  QStyleOptionSizeGrip

    public static enum QStyleOptionSizeGrip.StyleOptionVersion

extends java.lang.Enum<QStyleOptionSizeGrip.StyleOptionVersion>
implements QtEnumerator

This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

The version is used by `QStyleOption` subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See Also:
  `StyleOptionType`

Enum Constant Summary
`Version` 1

Method Summary
`static QStyleOptionSizeGrip.StyleOptionVersion` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionSizeGrip.StyleOptionVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionSizeGrip.StyleOptionVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Version

    public static final QStyleOptionSizeGrip.StyleOptionVersion Version

  1

Method Detail

### values

    public static final QStyleOptionSizeGrip.StyleOptionVersion[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionSizeGrip.StyleOptionVersion c : QStyleOptionSizeGrip.StyleOptionVersion.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionSizeGrip.StyleOptionVersion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionSizeGrip.StyleOptionVersion resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD